DKBSignDocs

API reference

GETRequires Bearer token

Show an envelope

/api/v4/envelopes/{batch_id}

Owner only. Includes signers (signing_url, identity_status), cancelled, and access_revoked_at.

Path parameters

FieldTypeDescription
batch_id
Required
stringPath parameter batch_id.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Envelope
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v4/envelopes/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "batch_id": "550e8400-e29b-41d4-a716-446655440000",
  "title": "NDA Q1",
  "message": "Please sign",
  "signing_order": "ordered",
  "signature_level": "advanced",
  "password_protected": false,
  "status": "pending",
  "signed_count": 0,
  "signers_count": 1,
  "created_at": "2026-03-01T10:00:00Z",
  "documents": [
    {
      "uuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "name": "nda.pdf",
      "status": "pending"
    }
  ],
  "signers": [
    {
      "uuid": "signer-uuid",
      "full_name": "Jean Dupont",
      "email": "jean@example.com",
      "status": "pending",
      "signing_url": "https://app.example/sign/signer-uuid"
    }
  ]
}